#ifndef GRAPHICS_COMBOBOX_H
#define GRAPHICS_COMBOBOX_H

/*
**  combobox.h
**
**  (C) Copyright 2003 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** ComboBox flags.
*/

#define CMF_HIDE          0x00000001 /* Hide on creation, or combobox is currently hidden*/
#define CMF_DISABLED      0x00000002 /* Disable on creation */
#define CMF_EDIT          0x00000004 /* Allow the user to write text in the combobox */
#define CMF_NOBKGD        0x00000008 /* Do not draw background graphics (automatically set if Template graphics are used) */
#define CMF_LOCAL         0x00000010 /* On activation, execute objects locally rather than messaging them */
#define CMF_SUNKEN        0x00000040 /* Reverses the highlight and shadow definitions to create a sunken effect */
#define CMF_FOCUSACTIVATE 0x00000400 /* Activate object if the focus is lost */
#define CMF_LIMITTOLIST   0x00000800 /* Limit-to-list prevents the user from entering text that isn't in the combobox list */
#define CMF_AUTOCOMPLETE  0x00001000 /* Help the user by auto-completing text */

#endif /* GRAPHICS_COMBOBOX_H */
